de.esprit.netsuite.server.hist

## Class RemoteTaskHistoryFileManager<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.hist.AbstractHistoryFileManager<S>
        - - de.esprit.netsuite.server.hist.RemoteTaskHistoryFileManager<S>

- All Implemented Interfaces:
    ApplicationObject<S>, SimpleLogSupport, Dumpable, ServerFiles, ServerObject<S>

      public class RemoteTaskHistoryFileManager<S extends ServerContext>
      extends AbstractHistoryFileManager<S>

  This class ensures a synchronized access to the remoteTask-history file.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from interface de.esprit.netsuite.server.cfg.ServerFiles

      `BATCH_TASK_HISTORY_FILENAME, BATCHTASK_CFG, CONFIG_DIR, DATASOURCE_CFG, GROUP_CFG, NETWORK_CFG, PARAM_CFG, REMOTE_TASK_HISTORY_FILENAME, SRVDATA_DIR, SRVHIST_DIR, SRVLOGS_DIR, SRVTASK_DIR, STARTUP_CFG, USER_CFG, WEBDATA_DIR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteTaskHistoryFileManager(S serverCtx)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.netsuite.server.hist.AbstractHistoryFileManager

      `clear, getLineCount, init, println, write`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `getServerConfig, getServerContext, getServerParams, getServerStartup, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationConfig, getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteTaskHistoryFileManager

          public RemoteTaskHistoryFileManager(S serverCtx)

Copyright © 2011 EsprIT-Systems. All Rights Reserved.